Autologin does not work with custom autologin cookie name

2013-03-02 08:10 - Alik E

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed Affected version: 2.2.3

Description

It appears that Redmine has two problems with autologin:

1. It does not work with OpenID. This is discussed in #3371.

2. If you set custom autologin_cookie_name, autologin does not work, since the code that checks for that cookie still assumes default

name (:autologin)

Attached patch fixes both of those issues - hopefully ;-)

Associated revisions

Revision 11519 - 2013-03-02 21:28 - Jean-Philippe Lang

Fixed that autologin is broken when using a custom cookie name (#13335).

Revision 11520 - 2013-03-02 21:30 - Jean-Philippe Lang

Fixed that autologin cookie is not deleted when using custom cookie name (#13335).

Revision 11569 - 2013-03-09 11:17 - Jean-Philippe Lang

Merged r11519 and r11520 from trunk (#13335).

History

#1 - 2013-03-02 21:39 - Jean-Philippe Lang

- Subject changed from Autologin patch (fixes OpenID and custom autologin cookie name) to Autologin does not work with custom autologin cookie

name

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0

- Resolution set to Fixed

Fixed in r11520, thanks for pointing this out.

#2 - 2013-03-09 11:17 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

autologin.patch 2.8 KB 2013-03-02 Alik E
